Debian Bug report logs - #500540
kdebase: automounting vfat (partialy) case sensitive due to utf8 is plain wrong and dangerous

version graph

Package: kdebase; Maintainer for kdebase is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Heinrich Langos <henrik-debian-bug@prak.org>

Date: Mon, 29 Sep 2008 08:39:02 UTC

Severity: grave

Found in version kdebase/4:3.5.9.dfsg.1-5

Fixed in version kdebase/4:3.5.9.dfsg.1-6

Done: Sune Vuorela <debian@pusling.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Mon, 29 Sep 2008 08:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heinrich Langos <henrik-debian-bug@prak.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 29 Sep 2008 08:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Heinrich Langos <henrik-debian-bug@prak.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kdebase: automounting vfat (partialy) case sensitive due to utf8 is plain wrong and dangerous
Date: Mon, 29 Sep 2008 10:32:06 +0200
Package: kdebase
Version: 4:3.5.9.dfsg.1-5
Severity: grave
Justification: causes non-serious data loss


I just switched from etch to lenny and now gnupod warns me about the case
sensitive filesystem on my iPod:

> $ gnupod_check.pl
> gnupod_check.pl Version 0.99.8 (C) Adrian Ulrich
> /usr/local/bin/gnupod_check.pl: Warning: /media/IPOD is mounted case sensitive, that's bad:
>                                 FAT32-iPods should be mounted case
>                                 in-sensitive!
>                                 (try 'mount ... -o check=relaxed')
> Pass 1: Checking Files in the GNUtunesDB.xml...
> Pass 2: Checking Files on the iPod...
> ..finished
...

The filesystem gets automounted by KDE's mediamanager and
never caused a problem when I used Etch.

The kernel also complains:

[490945.600269] usb 4-3: new high speed USB device using ehci_hcd and address 23
[490945.733907] usb 4-3: configuration #1 chosen from 2 choices
[490945.761374] scsi18 : SCSI emulation for USB Mass Storage devices
[490945.762123] usb 4-3: New USB device found, idVendor=05ac, idProduct=1262
[490945.762138] usb 4-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[490945.762147] usb 4-3: Product: iPod
[490945.762153] usb 4-3: Manufacturer: Apple Inc.
[490945.762159] usb 4-3: SerialNumber: 000A27001B256A33
[490945.762731] usb-storage: device found at 23
[490945.762742] usb-storage: waiting for device to settle before scanning
[490950.760450] usb-storage: device scan complete
[490950.776262] scsi 18:0:0:0: Direct-Access     Apple    iPod 1.62 PQ: 0 ANSI: 0
[490950.824634] sd 18:0:0:0: [sda] 1941441 4096-byte hardware sectors (7952 MB)
[490950.825383] sd 18:0:0:0: [sda] Write Protect is off
[490950.825397] sd 18:0:0:0: [sda] Mode Sense: 68 00 00 08
[490950.825404] sd 18:0:0:0: [sda] Assuming drive cache: write through
[490950.827876] sd 18:0:0:0: [sda] 1941441 4096-byte hardware sectors (7952 MB)
[490950.828416] sd 18:0:0:0: [sda] Write Protect is off
[490950.828429] sd 18:0:0:0: [sda] Mode Sense: 68 00 00 08
[490950.828436] sd 18:0:0:0: [sda] Assuming drive cache: write through
[490950.828443]  sda: sda1
[490950.830215] sd 18:0:0:0: [sda] Attached SCSI removable disk
[490951.932053] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!

And it is damn right to complain! So don't give me any of the "should be
ignored" comments that you might have googled here:
http://www.linuxfromscratch.org/lfs/view/development/chapter08/fstab.html

Now lets see the effects of case sensitive vfat, shall we?:

# mount | grep vfat
/dev/sda1 on /media/IPOD type vfat (rw,nosuid,nodev,noatime,uhelper=hal,flush,uid=1000,utf8,shortname=lower)
# cd /media/IPOD
/media/IPOD# touch TEST TESt TEsT
touch: cannot touch `TESt': File exists
touch: cannot touch `TEsT': File exists
/media/IPOD# touch TESTDIRECTORY TEStDIRECTORY TEsTDIRECTORY
/media/IPOD# ls -lsa TE*
0 -rwxr-xr-x 1 hlangos root 0 2008-09-28 15:33 TEsTDIRECTORY
0 -rwxr-xr-x 1 hlangos root 0 2008-09-28 15:33 TEStDIRECTORY
0 -rwxr-xr-x 1 hlangos root 0 2008-09-28 15:33 TESTDIRECTORY
/media/IPOD# ls -lsa te*
ls: cannot access test: No such file or directory
/media/IPOD# ls -lsa
ls: cannot access test: No such file or directory
total 32
4 drwxr-xr-x  8 hlangos root 4096 2008-09-28 15:33 .
4 drwxr-xr-x  4 root    root 4096 2008-09-28 15:31 ..
4 drwxr-xr-x  2 hlangos root 4096 2000-02-09 07:06 Calendars
4 drwxr-xr-x  2 hlangos root 4096 2008-04-09 15:23 Contacts
4 drwxr-xr-x 11 hlangos root 4096 2008-02-13 00:01 iPod_Control
0 -rwxr-xr-x  1 hlangos root    0 2000-02-09 07:06 .metadata_never_index
4 drwxr-xr-x  2 hlangos root 4096 2008-04-09 15:25 Notes
4 drwxr-xr-x  3 hlangos root 4096 2008-01-15 23:08 Photos
4 drwxr-xr-x  2 hlangos root 4096 2000-02-09 07:06 Recordings
? -?????????  ? ?       ?       ?                ? test
0 -rwxr-xr-x  1 hlangos root    0 2008-09-28 15:33 TEsTDIRECTORY
0 -rwxr-xr-x  1 hlangos root    0 2008-09-28 15:33 TEStDIRECTORY
0 -rwxr-xr-x  1 hlangos root    0 2008-09-28 15:33 TESTDIRECTORY
/media/IPOD#

That is FUBAR !

1. "touch TEST TESt TEsT" should not complain about existing files.
2. "touch TESTDIRECTORY TEStDIRECTORY TEsTDIRECTORY" should not create more
   than one file.
3. And WTF happend to "test" anaway?
      
BTW: If you try to delete some of those testdirectory files you may run
into more of those nasty questionmarks.
   
I didn't dare to continue working on a filesystem in such a state but to
me this looks like a corrupted file system. Hence severity "grave".


 
Now lets try again with more sane vfat options:

# mount | grep vfat
/dev/sda1 on /mnt type vfat (rw,nosuid,nodev,noatime,uhelper=hal,flush,uid=1000,shortname=lower,check=relaxed,codepage=850,iocharset=iso8859-1)
# cd /mnt
/mnt# touch TEST TESt TEsT
/mnt# touch TESTDIRECTORY TEStDIRECTORY TEsTDIRECTORY
/mnt# ls -lsa TE*
0 -rwxr-xr-x 1 hlangos root 0 2008-09-28 15:41 TESTDIRECTORY
/mnt# ls -lsa
total 32
4 drwxr-xr-x  8 hlangos root 4096 2008-09-28 15:41 .
4 drwxr-xr-x 23 root    root 4096 2008-09-26 22:07 ..
4 drwxr-xr-x  2 hlangos root 4096 2000-02-09 07:06 Calendars
4 drwxr-xr-x  2 hlangos root 4096 2008-04-09 15:23 Contacts
4 drwxr-xr-x 11 hlangos root 4096 2008-02-13 00:01 iPod_Control
0 -rwxr-xr-x  1 hlangos root    0 2000-02-09 07:06 .metadata_never_index
4 drwxr-xr-x  2 hlangos root 4096 2008-04-09 15:25 Notes
4 drwxr-xr-x  3 hlangos root 4096 2008-01-15 23:08 Photos
4 drwxr-xr-x  2 hlangos root 4096 2000-02-09 07:06 Recordings
0 -rwxr-xr-x  1 hlangos root    0 2008-09-28 15:41 test
0 -rwxr-xr-x  1 hlangos root    0 2008-09-28 15:41 TESTDIRECTORY
/mnt#

As you see it is not perfect as the "TEST" file gets only created as "test".
My guess is that "shortname=mixed" instead of "shortname=lower" should be
used but don't take my word for it.

As far as I have seen in archives and related bug reports the blame
for this problem gets shifted around from KDE to pmount to the kernel
itself and all the way back. Everybody happily points fingers at the others.

I don't want to join in. I just want control over the way KDE's mediamanager
mounts removable media. So here's the question:

Is there a way to override the DEFAULT options that KDE's media manager
uses to automount vfat on removable media or are they hardcoded ? (I know 
I can change some mount options for individual devices but those are not 
enough to save vfat from being messed up that way.)

I'd rather take the risk of having short names displayed wrongly (which
as far as I know is the only "risk" when not using the utf8 option)
than having vfat partitions FUBARed.

And who came up with the idea to mount vfat with utf8 anyway? It was never
designed to take short utf8 names. Those are strictly 8.3 and if you try to
stick utf8 characters in there, you get all kinds of length checking problems.
Long names on vfat are stored in unicode anyway. So whats the big gain here?
For the sake of squeezing utf8 into places where it never was ment to be,
we get messed up filesystems?


BTW: Ubuntu seems to have the same problem:
https://launchpad.net/ubuntu/+bug/62321

I'd like to write a sarcastic reply to Simon Law's comment
> We must set the iocharset to utf8, or things will break horribly.
but in this case reality is satire enough.


cheers
-henrik
(Using Debian since buzz.)

PS: I probably should have added some <rant> tags but I am frustrated 
because I lost the few hours that I had for programming on this 
weekend to this utf8 on vfat mess.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kdebase depends on:
ii  hal        0.5.11-3                      Hardware Abstraction Layer
ii  kappfinder 4:3.5.9.dfsg.1-5              non-KDE application finder for KDE
ii  kate       4:3.5.9.dfsg.1-5              advanced text editor for KDE
ii  kcontrol   4:3.5.9.dfsg.1-5              control center for KDE
ii  kdebase-bi 4:3.5.9.dfsg.1-5              core binaries for the KDE base mod
ii  kdebase-da 4:3.5.9.dfsg.1-5              shared data files for the KDE base
ii  kdebase-ki 4:3.5.9.dfsg.1-5              core I/O slaves for KDE
ii  kdepasswd  4:3.5.9.dfsg.1-5              password changer for KDE
ii  kdeprint   4:3.5.9.dfsg.1-5              print system for KDE
ii  kdesktop   4:3.5.9.dfsg.1-5              miscellaneous binaries and files f
ii  kfind      4:3.5.9.dfsg.1-5              file-find utility for KDE
ii  khelpcente 4:4.0.0.really.3.5.9.dfsg.1-5 help center for KDE
ii  kicker     4:3.5.9.dfsg.1-5              desktop panel for KDE
ii  klipper    4:3.5.9.dfsg.1-5              clipboard utility for KDE
ii  kmenuedit  4:3.5.9.dfsg.1-5              menu editor for KDE
ii  konqueror  4:3.5.9.dfsg.1-5              KDE's advanced file manager, web b
ii  konqueror- 4:3.5.9.dfsg.1-5              Netscape plugin support for Konque
ii  konsole    4:3.5.9.dfsg.1-5              X terminal emulator for KDE
ii  kpager     4:3.5.9.dfsg.1-5              desktop pager for KDE
ii  kpersonali 4:3.5.9.dfsg.1-5              installation personalizer for KDE
ii  ksmserver  4:3.5.9.dfsg.1-5              session manager for KDE
ii  ksplash    4:3.5.9.dfsg.1-5              the KDE splash screen
ii  ksysguard  4:3.5.9.dfsg.1-5              system guard for KDE
ii  ktip       4:3.5.9.dfsg.1-5              useful tips for KDE
ii  kwin       4:3.5.9.dfsg.1-5              the KDE window manager
ii  libkonq4   4:3.5.9.dfsg.1-5              core libraries for Konqueror
ii  pmount     0.9.17-2                      mount removable devices as normal 

Versions of packages kdebase recommends:
ii  kdm                     4:3.5.9.dfsg.1-5 X display manager for KDE

Versions of packages kdebase suggests:
pn  kdebase-doc-html              <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Mon, 06 Oct 2008 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <debian@pusling.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 06 Oct 2008 17:42:02 GMT) Full text and rfc822 format available.

Message #10 received at 500540@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 500540@bugs.debian.org, 500540-submitter@bugs.debian.org, control@bugs.debian.org
Subject: automounting vfat as utf8
Date: Mon, 6 Oct 2008 19:38:15 +0200
[Message part 1 (text/plain, inline)]
clone 50540 -1
reassign -1 hal
severity -1 important
retitle -1 hal passes unsafe options on
owner -1 !
thanks

Hi!

Thank you to submitter for the nice analysis of the issue.

KDE uses the information from hal to decide what options  to use when 
mounting.

On a vfat drive, hal gives the following:
hal-get-property --udi '/org/freedesktop/Hal/devices/volume_uuid_64F8_AEF6' --
key volume.mount.valid_options
ro sync dirsync noatime nodiratime noexec quiet remount exec utf8 shortname= 
codepage= iocharset= umask= dmask= fmask= uid= flush

KDE can of course specialcase and don't use the utf8 option on fat filesystems, 
but I don't think it is the job for the frontend to know which options is safe 
and unsafe.

But a untested for the kde3 media manager is here:

kdebase-3.5.9.dfsg.1/kioslave/media/mediamanager$ diff -pruN 
halbackend.cpp.orig halbackend.cpp
--- halbackend.cpp.orig 2008-10-06 19:14:22.000000000 +0200
+++ halbackend.cpp      2008-10-06 19:14:47.000000000 +0200
@@ -851,7 +851,7 @@ QStringList HALBackend::mountoptions(con

     if (valids.contains("utf8"))
     {
-        value = config.readBoolEntry("utf8", true);
+        value = config.readBoolEntry("utf8", !fstype.endsWith("fat"));
         tmp = QString("utf8=%1").arg(value ? "true" : "false");
         result << tmp;
     }

I haven't had kde3 systems around for a long time, so I'm not able to test if 
the patch actually works as expected.

/Sune
-- 
I cannot link a sendmail, how does it work?

You cannot remove from the RW jumper to the miditower in order to mount the 
firewall.

[signature.asc (application/pgp-signature, inline)]

Message sent on to Heinrich Langos <henrik-debian-bug@prak.org>:
Bug#500540. (Mon, 06 Oct 2008 17:42:03 GMT) Full text and rfc822 format available.

Bug 500540 cloned as bug 501339. Request was from Sune Vuorela <debian@pusling.com> to control@bugs.debian.org. (Mon, 06 Oct 2008 17:51:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Tue, 07 Oct 2008 08:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "H. Langos" <henrik-debian-bug@prak.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Oct 2008 08:18:06 GMT) Full text and rfc822 format available.

Message #20 received at 500540@bugs.debian.org (full text, mbox):

From: "H. Langos" <henrik-debian-bug@prak.org>
To: 500540@bugs.debian.org
Cc: Sune Vuorela <debian@pusling.com>
Subject: Re: Bug#500540: automounting vfat as utf8
Date: Tue, 7 Oct 2008 10:13:48 +0200
Hi Sune and thanks for taking up the issue.

On Mon, Oct 06, 2008 at 07:38:15PM +0200, Sune Vuorela wrote:
>
> KDE uses the information from hal to decide what options to use when 
> mounting.
> 
> On a vfat drive, hal gives the following:
> hal-get-property --udi '/org/freedesktop/Hal/devices/volume_uuid_64F8_AEF6' --
> key volume.mount.valid_options
> ro sync dirsync noatime nodiratime noexec quiet remount exec utf8 shortname= 
> codepage= iocharset= umask= dmask= fmask= uid= flush


I'm with you there.

$ hal-get-property --udi '/org/freedesktop/Hal/devices/volume_uuid_8851_B65A' --key volume.mount.valid_options
ro sync dirsync noatime nodiratime noexec quiet remount exec utf8 shortname= codepage= iocharset= umask= dmask= fmask= uid= flush

Auto-mounting via kde results in this:

$ mount
...
/dev/sdc1 on /media/disk-1 type vfat (rw,nosuid,nodev,noatime,uhelper=hal,flush,uid=1000,utf8,shortname=lower)

$ pmount
...
/dev/sdc1 on /media/disk-1 type vfat (rw,nosuid,nodev,noatime,uid=1000,fmask=0022,dmask=0022,codepage=cp437,iocharset=utf8,utf8,flush)

And the kernel warning mentioned before.

So far we established the same facts. Now let's see if hal really is to 
blame. We'll unmount the device and tell hal not to advertize the utf8 
option.

$ pumount /dev/sdc1
$ hal-set-property --udi '/org/freedesktop/Hal/devices/volume_uuid_8851_B65A' --key volume.mount.valid_options --strlist-rem utf8

$ hal-get-property --udi '/org/freedesktop/Hal/devices/volume_uuid_8851_B65A' --key volume.mount.valid_options 
ro sync dirsync noatime nodiratime noexec quiet remount exec shortname= codepage= iocharset= umask= dmask= fmask= uid= flushh

So now hal shouldn't tell anybody to mount this device with utf8. 
And just to be on the safe side we'll make sure that we get the 
default codepage and iocharset.

$ hal-set-property --udi '/org/freedesktop/Hal/devices/volume_uuid_8851_B65A' --key volume.mount.valid_options --strlist-rem "codepage="

$ hal-set-property --udi '/org/freedesktop/Hal/devices/volume_uuid_8851_B65A' --key volume.mount.valid_options --strlist-post "codepage=437"

$ hal-set-property --udi '/org/freedesktop/Hal/devices/volume_uuid_8851_B65A' --key volume.mount.valid_options --strlist-rem "iocharset="

$ hal-set-property --udi '/org/freedesktop/Hal/devices/volume_uuid_8851_B65A' --key volume.mount.valid_options --strlist-post "iocharset=iso8859-1"


So lets see what hal says now:

$ hal-get-property --udi '/org/freedesktop/Hal/devices/volume_uuid_8851_B65A' --key volume.mount.valid_options
ro sync dirsync noatime nodiratime noexec quiet remount exec shortname= umask= dmask= fmask= uid= flush codepage=437 iocharset=iso8859-1

That looks nice to me. Now I'll open "system:/media/" and click on 
the device to get it auto-mounted and opened. (And before you ask, 
no, I didn't unplug the device because that seems to reset all the 
hal options set before.)

$ pmount
...
/dev/sdc1 on /media/disk-1 type vfat (rw,nosuid,nodev,noatime,uid=1000,fmask=0022,dmask=0022,codepage=cp437,iocharset=utf8,flush)

So, here we go again....and the kernel happily logs another:
[784167.941455] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!

Looks like KDE doesn't realy care all that much about what hal says. At least 
it seems to have left out the "utf8" flag option, so we know that we have
some effect. But overriding the iocharset is a bad idea.

> KDE can of course specialcase and don't use the utf8 option on fat filesystems, 
> but I don't think it is the job for the frontend to know which options is safe 
> and unsafe.

I agree. But it should care about the options that _are_ reported 
by the backend. In this case it is not the "utf8" flag option but 
the "iocharset=utf8" that causes the problems.

From http://www.nslu2-linux.org/wiki/HowTo/MountFATFileSystems
> When the utf8 flag is specified along with iocharset the iocharset value
> only controls the character case handling - it has no effect on the encoding
> of the UNICODE characters as this will always use UTF-8.

From that perspective hal is not to blame at all. Even if it reports 
the "utf8" flag as a default mount option.


In short: The problem seems to be that kde doesn't care what hal reports 
as an "iocharset".


BTW: I'm not quite sure if downgrading the bug to "important" is ok. 
It seems to mess up file system structures and that should be examined 
further. Maybe resulting in a separate bug that would carry on the "grave" 
severity while this bug could be downgraded. Until then I consider a messed
up filesystem structure a grave bug.

cheers
-henrik





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Tue, 07 Oct 2008 16:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 07 Oct 2008 16:48:06 GMT) Full text and rfc822 format available.

Message #25 received at 500540@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Sune Vuorela <debian@pusling.com>, 500540@bugs.debian.org, 500540-submitter@bugs.debian.org
Subject: Re: Bug#500540: automounting vfat as utf8
Date: Tue, 7 Oct 2008 18:41:37 +0200
On Mon, Oct 06, 2008 at 07:38:15PM +0200, Sune Vuorela wrote:
> 
> Thank you to submitter for the nice analysis of the issue.
> 
> KDE uses the information from hal to decide what options  to use when 
> mounting.
> 
> On a vfat drive, hal gives the following:
> hal-get-property --udi '/org/freedesktop/Hal/devices/volume_uuid_64F8_AEF6' --
> key volume.mount.valid_options
> ro sync dirsync noatime nodiratime noexec quiet remount exec utf8 shortname= 
> codepage= iocharset= umask= dmask= fmask= uid= flush
> 
> KDE can of course specialcase and don't use the utf8 option on fat filesystems, 
> but I don't think it is the job for the frontend to know which options is safe 
> and unsafe.
> 
> But a untested for the kde3 media manager is here:
> 
> kdebase-3.5.9.dfsg.1/kioslave/media/mediamanager$ diff -pruN 
> halbackend.cpp.orig halbackend.cpp
> --- halbackend.cpp.orig 2008-10-06 19:14:22.000000000 +0200
> +++ halbackend.cpp      2008-10-06 19:14:47.000000000 +0200
> @@ -851,7 +851,7 @@ QStringList HALBackend::mountoptions(con
> 
>      if (valids.contains("utf8"))
>      {
> -        value = config.readBoolEntry("utf8", true);
> +        value = config.readBoolEntry("utf8", !fstype.endsWith("fat"));
>          tmp = QString("utf8=%1").arg(value ? "true" : "false");
>          result << tmp;
>      }
> 
> I haven't had kde3 systems around for a long time, so I'm not able to test if 
> the patch actually works as expected.
>

Thanks Sune.

I might have time to look at this around next monday (13th October), we will
see about motivation... 
If you are reading this bug report, you are a KDE 3 user and you want to help, 
please try this.

Ana





Message sent on to Heinrich Langos <henrik-debian-bug@prak.org>:
Bug#500540. (Tue, 07 Oct 2008 16:48:07 GMT) Full text and rfc822 format available.

Information stored :
Bug#500540; Package kdebase. (Wed, 08 Oct 2008 05:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "H. Langos" <henrik-debian-bug@prak.org>:
Extra info received and filed, but not forwarded. (Wed, 08 Oct 2008 05:54:02 GMT) Full text and rfc822 format available.

Message #33 received at 500540-quiet@bugs.debian.org (full text, mbox):

From: "H. Langos" <henrik-debian-bug@prak.org>
To: Ana Guerrero <ana@debian.org>, 500540-quiet@bugs.debian.org
Cc: Sune Vuorela <debian@pusling.com>
Subject: Re: Bug#500540: automounting vfat as utf8
Date: Wed, 8 Oct 2008 07:52:07 +0200
On Tue, Oct 07, 2008 at 06:41:37PM +0200, Ana Guerrero wrote:
> On Mon, Oct 06, 2008 at 07:38:15PM +0200, Sune Vuorela wrote:
> > But a untested for the kde3 media manager is here:
> > 
> > kdebase-3.5.9.dfsg.1/kioslave/media/mediamanager$ diff -pruN 
> > halbackend.cpp.orig halbackend.cpp
> > --- halbackend.cpp.orig 2008-10-06 19:14:22.000000000 +0200
> > +++ halbackend.cpp      2008-10-06 19:14:47.000000000 +0200
> > @@ -851,7 +851,7 @@ QStringList HALBackend::mountoptions(con
> > 
> >      if (valids.contains("utf8"))
> >      {
> > -        value = config.readBoolEntry("utf8", true);
> > +        value = config.readBoolEntry("utf8", !fstype.endsWith("fat"));
> >          tmp = QString("utf8=%1").arg(value ? "true" : "false");
> >          result << tmp;
> >      }
> > 
> > I haven't had kde3 systems around for a long time, so I'm not able to test if 
> > the patch actually works as expected.
> >
> 
> Thanks Sune.
> 
> I might have time to look at this around next monday (13th October), we will
> see about motivation... 
> If you are reading this bug report, you are a KDE 3 user and you want to help, 
> please try this.

Hi Ana,

I would like to help if you could tell me how to get the needed kde3 sources
checked-out/patched/compiled/installed... My machine is quite idle but I am
busy so cut-'n-paste-able instructions would be great. :-)

However I don't think this particular patch will help. It applies to the
"utf8" flag, which in itself is quite ok for vfat. The problem is
"iocharset=utf8".
(See Message#20 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500540#20 )

cheers
-henrik





Information stored :
Bug#500540; Package kdebase. (Wed, 08 Oct 2008 07:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 08 Oct 2008 07:27:04 GMT) Full text and rfc822 format available.

Message #38 received at 500540-quiet@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: "H. Langos" <henrik-debian-bug@prak.org>
Cc: 500540-quiet@bugs.debian.org, Sune Vuorela <debian@pusling.com>
Subject: Re: Bug#500540: automounting vfat as utf8
Date: Wed, 8 Oct 2008 09:37:41 +0200
On Wed, Oct 08, 2008 at 07:52:07AM +0200, H. Langos wrote:
> On Tue, Oct 07, 2008 at 06:41:37PM +0200, Ana Guerrero wrote:
> > On Mon, Oct 06, 2008 at 07:38:15PM +0200, Sune Vuorela wrote:
> > > But a untested for the kde3 media manager is here:
> > > 
> > > kdebase-3.5.9.dfsg.1/kioslave/media/mediamanager$ diff -pruN 
> > > halbackend.cpp.orig halbackend.cpp
> > > --- halbackend.cpp.orig 2008-10-06 19:14:22.000000000 +0200
> > > +++ halbackend.cpp      2008-10-06 19:14:47.000000000 +0200
> > > @@ -851,7 +851,7 @@ QStringList HALBackend::mountoptions(con
> > > 
> > >      if (valids.contains("utf8"))
> > >      {
> > > -        value = config.readBoolEntry("utf8", true);
> > > +        value = config.readBoolEntry("utf8", !fstype.endsWith("fat"));
> > >          tmp = QString("utf8=%1").arg(value ? "true" : "false");
> > >          result << tmp;
> > >      }
> > > 
> > > I haven't had kde3 systems around for a long time, so I'm not able to test if 
> > > the patch actually works as expected.
> > >
> > 
> > Thanks Sune.
> > 
> > I might have time to look at this around next monday (13th October), we will
> > see about motivation... 
> > If you are reading this bug report, you are a KDE 3 user and you want to help, 
> > please try this.
> 
> Hi Ana,
> 
> I would like to help if you could tell me how to get the needed kde3 sources
> checked-out/patched/compiled/installed... My machine is quite idle but I am
> busy so cut-'n-paste-able instructions would be great. :-)
> 
> However I don't think this particular patch will help. It applies to the
> "utf8" flag, which in itself is quite ok for vfat. The problem is
> "iocharset=utf8".
> (See Message#20 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500540#20 )
>

There is like a zillion of ways for doing this, a copy&paste one:

As root (or using sudo):
  apt-get install devscripts 

(you can install pbuilder to make your life easier as we'll see below)

As user:
  dget http://ftp.debian.org/debian/pool/main/k/kdebase/kdebase_3.5.9.dfsg.1-5.dsc
you will see it downloads the source and makes the directory
kdebase-3.5.9.dfsg.1. enter in this directory. You will see a debian/
directory in your tree. Drop your patch under debian/patches naming it for
example 02_mypatch.diff

Then for building the package, you need to install all the packages listed
under Build-Depends in the debian/control file, if you installed pbuilder, you
can do this very easily running as root (or sudo-ing):
  /usr/lib/pbuilder/pbuilder-satisfydepends-aptitude
from kdebase-3.5.9.dfsg.1/
Then as normal user run debuild from this same very directory and when it
finishes, "cd .." and there you have all your new patches deb files.

Later you can remove all the build depends removing the package
pbuilder-satisfydepends-dummy.

HTH,
Ana, caffeinated







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Fri, 10 Oct 2008 20:48:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Likonen <tlikonen@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 10 Oct 2008 20:48:16 GMT) Full text and rfc822 format available.

Message #43 received at 500540@bugs.debian.org (full text, mbox):

From: Teemu Likonen <tlikonen@iki.fi>
To: 500540@bugs.debian.org
Subject: Re: kdebase: automounting vfat (partialy) case sensitive due to utf8 is plain wrong and dangerous
Date: Fri, 10 Oct 2008 23:31:27 +0300
Heinrich Langos <henrik-debian-bug@prak.org> writes:

> Now lets try again with more sane vfat options:
>
> # mount | grep vfat
> /dev/sda1 on /mnt type vfat (rw,nosuid,nodev,noatime,uhelper=hal,flush,uid=1000,shortname=lower,check=relaxed,codepage=850,iocharset=iso8859-1)

> As you see it is not perfect as the "TEST" file gets only created as
> "test". My guess is that "shortname=mixed" instead of
> "shortname=lower" should be used but don't take my word for it.

"shortname=mixed" works nicely with "utf8" flag, and command

    touch test Test teSt

touches the same file three times.

> And who came up with the idea to mount vfat with utf8 anyway? It was
> never designed to take short utf8 names. Those are strictly 8.3 and if
> you try to stick utf8 characters in there, you get all kinds of length
> checking problems. Long names on vfat are stored in unicode anyway. So
> whats the big gain here? For the sake of squeezing utf8 into places
> where it never was ment to be, we get messed up filesystems?

I admit that some of the ideas may have come from me. I have described
one aspect of this issue in the kernel bug #417324:

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417324

I'm pretty confused with all these "iocharset", "codepage" and "utf8"
flags but I'm certain that in Debian Etch (and its default locale
settings [UTF-8] and kernel settings) filenames get converted totally
wrong.

Long filenames in FAT filesystem are in the form we call UTF-16 today.
In default Etch system FAT's UTF-16 filenames get converted to
ISO-8859-1 if the filesystem is not mounted with "utf8" flag. The other
direction is so that Etch's UTF-8 filenames are assumed to be in
ISO-8859-1 and, since it's a single-byte encoding, every byte (even in a
UTF-8 multibyte character) gets converted separately to UTF-16. This
produces complete garbage of course.
 
KDE is nice enough to use "utf8" flag but someone reported that Gnome
does not (or at least did not) mount with this flag. Thus it produces
filenames which are unreadable in other systems (including MS Windows).

I guess the change in kernel settings made you see this issue after
upgrading from Etch to Lenny. The option CONFIG_FAT_DEFAULT_IOCHARSET
was changed from "iso-8859-1" to "utf8".

> As far as I have seen in archives and related bug reports the blame
> for this problem gets shifted around from KDE to pmount to the kernel
> itself and all the way back. Everybody happily points fingers at the
> others.

This seems to be pretty complicated. We have to make

    VFAT/UTF-16  <-->  Debian/UTF-8

conversion work somehow, and in Etch it does not work (except when KDE
does the mounting). In Lenny the conversion currently works by default
with just "mount" without any options; this is because the change in the
kernel settings.

But then there's the issue you reported... :-( In my experience
"shortname=mixed" works nicely without character case problems.

> -henrik
> (Using Debian since buzz.)

Wow, I'm from the Woody/Sarge generation. :-)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Wed, 15 Oct 2008 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heinrich Langos <henrik-debian-bug@prak.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 15 Oct 2008 14:45:05 GMT) Full text and rfc822 format available.

Message #48 received at 500540@bugs.debian.org (full text, mbox):

From: Heinrich Langos <henrik-debian-bug@prak.org>
To: Teemu Likonen <tlikonen@iki.fi>
Cc: 500540@bugs.debian.org
Subject: Re: kdebase: automounting vfat (partialy) case sensitive due to utf8 is plain wrong and dangerous
Date: Wed, 15 Oct 2008 16:38:28 +0200
On Fri, Oct 10, 2008 at 11:31:27PM +0300, Teemu Likonen wrote:
> Heinrich Langos <henrik-debian-bug@prak.org> writes:
> 
> > Now lets try again with more sane vfat options:
> >
> > # mount | grep vfat
> > /dev/sda1 on /mnt type vfat (rw,nosuid,nodev,noatime,uhelper=hal,flush,uid=1000,shortname=lower,check=relaxed,codepage=850,iocharset=iso8859-1)
> > "shortname=lower" should be used but don't take my word for it.
> 
> "shortname=mixed" works nicely with "utf8" flag, and command
>     touch test Test teSt
> touches the same file three times.

The main question was if it preserves the case if you do

touch TeSt test TEST

In my setting ("shortname=lower") the resulting file was "test". 
In your case it should be "TeSt" but opening "test" should also work. 

The problem with case sensitive mounting and short names is that the
application doesn't know which "shortname" option was used. So if my 
program writes "/media/ipod/foo.mp3" and you used "shortname=win95"
than the name on the filesystem will be FOO.MP3

When you mount that filesystem with iocharset=utf8 then my program WILL break 
as it is not be able to open the file it wrote.

gnupod for example uses short filenames explicitly to avoid other problems 
and DOES definetly break in such a situation. I've read of other music 
management software that does the same thing.

Long filenames are a different beast altogether...

> > And who came up with the idea to mount vfat with utf8 anyway? It was
> > never designed to take short utf8 names. Those are strictly 8.3 and if
> > you try to stick utf8 characters in there, you get all kinds of length
> > checking problems. Long names on vfat are stored in unicode anyway. So
> > whats the big gain here? For the sake of squeezing utf8 into places
> > where it never was ment to be, we get messed up filesystems?
> 
> I admit that some of the ideas may have come from me. I have described
> one aspect of this issue in the kernel bug #417324:
> 
>     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417324
> 
> I'm pretty confused with all these "iocharset", "codepage" and "utf8"
> flags but I'm certain that in Debian Etch (and its default locale
> settings [UTF-8] and kernel settings) filenames get converted totally
> wrong.
> 
> Long filenames in FAT filesystem are in the form we call UTF-16 today.
> In default Etch system FAT's UTF-16 filenames get converted to
> ISO-8859-1 if the filesystem is not mounted with "utf8" flag. The other
> direction is so that Etch's UTF-8 filenames are assumed to be in
> ISO-8859-1 and, since it's a single-byte encoding, every byte (even in a
> UTF-8 multibyte character) gets converted separately to UTF-16. This
> produces complete garbage of course.
>  
> KDE is nice enough to use "utf8" flag but someone reported that Gnome
> does not (or at least did not) mount with this flag. Thus it produces
> filenames which are unreadable in other systems (including MS Windows).
> 
> I guess the change in kernel settings made you see this issue after
> upgrading from Etch to Lenny. The option CONFIG_FAT_DEFAULT_IOCHARSET
> was changed from "iso-8859-1" to "utf8".

Ok, so in order to fix a gnome bug you broke everything else? :-)

> > As far as I have seen in archives and related bug reports the blame
> > for this problem gets shifted around from KDE to pmount to the kernel
> > itself and all the way back. Everybody happily points fingers at the
> > others.
> 
> This seems to be pretty complicated. We have to make
> 
>     VFAT/UTF-16  <-->  Debian/UTF-8
> 
> conversion work somehow, and in Etch it does not work (except when KDE
> does the mounting). In Lenny the conversion currently works by default
> with just "mount" without any options; this is because the change in the
> kernel settings.
> 
> But then there's the issue you reported... :-( In my experience
> "shortname=mixed" works nicely without character case problems.


Please read this: http://www.nslu2-linux.org/wiki/HowTo/MountFATFileSystems
If you need a short explaination of ther vfat mount options codepage,
iocharset and utf8.

Let me Quote:
> When the utf8 flag is specified along with iocharset the iocharset value 
> only controls the character case handling - it has no effect on the encoding 
> of the UNICODE characters as this will always use UTF-8.

So, according to it the "right thing" would be to select the iocharset 
according to your language AND specifying the utf8 flag. So in my case
mount ... iocharset=iso8859-1,utf8

If gnome doesn't do it right, please go ahead and fix gnome but leave the 
kernel default iocharset as it was.


Unfortunately the "right thing" can't be done by default:
Let me quote once more:
> The utf8 flag cannot be specified by default - it must be given as an 
> explicit argument to mount

I am not sure if that is still the case with the current kernel. Maybe 
somebody grew tired of this limitation and fixed it. Could you check that?
I'm drowning in work... could you also add a bts reference to 417324 to 
show the dependency and reopen that bug?


 
> > -henrik
> > (Using Debian since buzz.)
> 
> Wow, I'm from the Woody/Sarge generation. :-)

Yeah, I should get a medal, shoudn't I ? :-)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Mon, 20 Oct 2008 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Likonen <tlikonen@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 20 Oct 2008 13:09:04 GMT) Full text and rfc822 format available.

Message #53 received at 500540@bugs.debian.org (full text, mbox):

From: Teemu Likonen <tlikonen@iki.fi>
To: 500540@bugs.debian.org
Cc: Heinrich Langos <henrik-debian-bug@prak.org>
Subject: Re: kdebase: automounting vfat (partialy) case sensitive due to utf8 is plain wrong and dangerous
Date: Mon, 20 Oct 2008 16:08:25 +0300
New version of "pmount" package was uploaded (and unblocked) recently.
It deals with the very same issue. Vincent Fourmond on the
debian-release list points to this bug report, see:

    http://lists.debian.org/debian-release/2008/10/msg00793.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Sun, 26 Oct 2008 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 26 Oct 2008 14:09:03 GMT) Full text and rfc822 format available.

Message #58 received at 500540@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 500540@bugs.debian.org, 500540-submitter@bugs.debian.org
Subject: Re: Bug#500540: automounting vfat as utf8
Date: Sun, 26 Oct 2008 15:21:30 +0100
On Tue, Oct 07, 2008 at 06:41:37PM +0200, Ana Guerrero wrote:
> I might have time to look at this around next monday (13th October), we will
> see about motivation... 
> If you are reading this bug report, you are a KDE 3 user and you want to help, 
> please try this.
>

Never looked back at this, and not planning to. The patch sune attached does
not exaclty address this issue. And I would rather not introduce changes in
this that could make this worse... KDE 3 has been working in this way for
long long time after all.







Message sent on to Heinrich Langos <henrik-debian-bug@prak.org>:
Bug#500540. (Sun, 26 Oct 2008 14:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Sat, 08 Nov 2008 18:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 08 Nov 2008 18:03:15 GMT) Full text and rfc822 format available.

Message #66 received at 500540@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 500540@bugs.debian.org
Subject: Considerations.
Date: Sat, 8 Nov 2008 19:01:23 +0100
[Message part 1 (text/plain, inline)]
  Hello All:

  I've been investigating this issue with the help of Sune and Modestas, and 
I've also read some documentation from the internet.

  Things are like this:

  When you mount a vfat FS, there are 2 parameters which define the charset 
used to do translation to FS. This parameters are: codepage and iocharset. 
There's a third parameter, utf8 which helps handling this conversion when 
source or destination is utf8 from as set in your locale.

  These 2 parameters take its default value from GNU/Linux kernel 
configuration, namely: CONFIG_FAT_DEFAULT_CODEPAGE and 
CONFIG_FAT_DEFAULT_IOCHARSET

  codepage is used to do translation from your locale to FS charset when the 
filename is considered short in that FS, this is, it fits the 8.3 pattern, 
where 8 is the filename length and 3 is the extension length. This behaviour 
is defined like this because on fat and vfat systems the long filenames uses 
unicode to store its filename.

  Some time ago, no sooner than Etch was released, CONFIG_FAT_DEFAULT_CODEPAGE 
was 437(cp437) and CONFIG_FAT_DEFAULT_IOCHARSET was iso8859-1 (latin1). But 
after http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417324 it was changed 
to current 437 and utf8, respectively.

  Things being like this, using utf8 as long file name encoding, results in 
case sensitive file names. I find this indeed a drawback, but using uft8 has 
the advantage of support for non-ascii chars.  [Or at least supporting it 
correctly]

  This is all I can say so far. I'll go on thinking about this, in case I find 
a real solution.

  Regards,


-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Mon, 17 Nov 2008 10:18:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to "H. Langos" <henrik-debian-bug@prak.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 17 Nov 2008 10:19:37 GMT) Full text and rfc822 format available.

Message #71 received at 500540@bugs.debian.org (full text, mbox):

From: "H. Langos" <henrik-debian-bug@prak.org>
To: Teemu Likonen <tlikonen@iki.fi>
Cc: 500540@bugs.debian.org
Subject: Re: kdebase: automounting vfat (partialy) case sensitive due to utf8 is plain wrong and dangerous
Date: Mon, 17 Nov 2008 11:08:50 +0100
> New version of "pmount" package was uploaded (and unblocked) recently.

Sorry to say that, but upgrading to pmount 0.9.18 didn't fix the problem.

> hlangos@pc-hlangos:~$ pmount -V
> 0.9.18
> hlangos@pc-hlangos:~$ dmesg | tail
> [64822.927396] sd 0:0:0:0: [sda] Write Protect is off
> [64822.927402] sd 0:0:0:0: [sda] Mode Sense: 68 00 00 08
> [64822.927404] sd 0:0:0:0: [sda] Assuming drive cache: write through
> [64822.929250] sd 0:0:0:0: [sda] 1941441 4096-byte hardware sectors (7952 MB) [64822.929889] sd 0:0:0:0: [sda] Write Protect is off
> [64822.929894] sd 0:0:0:0: [sda] Mode Sense: 68 00 00 08
> [64822.929897] sd 0:0:0:0: [sda] Assuming drive cache: write through
> [64822.929900]  sda: sda1
> [64822.931560] sd 0:0:0:0: [sda] Attached SCSI removable disk
> [64827.615005] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive! 
> hlangos@pc-hlangos:~$ mount | grep ipod 
> /dev/ipod on /media/IPOD type vfat (rw,nosuid,nodev,noatime,uhelper=hal,flush,uid=1000,shortname=lower)
> hlangos@pc-hlangos:~$ pmount
> Printing mounted removable devices:
> /dev/ipod on /media/IPOD type vfat (rw,nosuid,nodev,noatime,uid=1000,fmask=0022,dmask=0022,codepage=cp437,iocharset=utf8,flush)
> To get a short help, run pmount -h 
> hlangos@pc-hlangos:~$


I still need to fix it everytime I attach a device by running:

pumount /dev/ipod
pmount -c iso8859-1 /dev/ipod /media/IPOD

Then I get it mounted with the correct iocharset option AND the utf8 flag:

> hlangos@pc-hlangos:~$ mount | grep ipod
> /dev/ipod on /media/IPOD type vfat 
(rw,noexec,nosuid,nodev,quiet,shortname=mixed,uid=1000,gid=1000,umask=077,fmask=0177,dmask=0077,utf8,iocharset=iso8859-1)
> hlangos@pc-hlangos:~$ pmount
> Printing mounted removable devices:
> /dev/ipod on /media/IPOD type vfat 
(rw,nosuid,nodev,noexec,uid=1000,gid=1000,fmask=0177,dmask=0077,codepage=cp437,iocharset=iso8859-1,shortname=mixed,quiet,utf8)
> To get a short help, run pmount -h
> hlangos@pc-hlangos:~$




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Mon, 17 Nov 2008 11:16:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heinrich Langos <henrik-debian-bug@prak.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 17 Nov 2008 11:17:00 GMT) Full text and rfc822 format available.

Message #76 received at 500540@bugs.debian.org (full text, mbox):

From: Heinrich Langos <henrik-debian-bug@prak.org>
To: Raúl Sánchez Siles <rasasi78@gmail.com>
Cc: 500540@bugs.debian.org
Subject: Re: Considerations.
Date: Mon, 17 Nov 2008 12:00:52 +0100
Hi Raúl,

I'm sorry I didn't respond to your comment on this bug as I am not subscribed to it.

On Saturday 08 November 2008 19:01:23 Raúl Sánchez Siles wrote:
>  Some time ago, no sooner than Etch was released,   CONFIG_FAT_DEFAULT_CODEPAGE  
> was 437(cp437) and CONFIG_FAT_DEFAULT_IOCHARSET was iso8859-1 (latin1). But 
> after http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=417324 it was changed 
> to current 437 and utf8, respectively.
> 
>   Things being like this, using utf8 as long file name encoding, results in 
> case sensitive file names. I find this indeed a drawback, but using uft8 has 
> the advantage of support for non-ascii chars.  [Or at least supporting it 
> correctly]

As far as I can tell your analysis is correct. But (and this is a big "but") you seem 
to have ignored the utf8 flag. The effect of using a non-utf8 iocharset and the utf8 
flag is that long filenames will be encoded in utf8 and the iocharset will only be used
for case comparison. IMHO this is the "real solution" that you are looking for, but
there is (or was?) a problem with making it the default. (See Message#48 for details).

Cheers,
-henrik







Tags removed: Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 22 Nov 2008 20:57:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Wed, 03 Dec 2008 11:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 03 Dec 2008 11:39:05 GMT) Full text and rfc822 format available.

Message #83 received at 500540@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 500540@bugs.debian.org, "Debian Qt/KDE Maintainers" <debian-qt-kde@lists.debian.org>
Cc: Heinrich Langos <henrik-debian-bug@prak.org>, Raúl Sánchez Siles <rasasi78@gmail.com>, 500540-submitter@bugs.debian.org
Subject: Re: Bug#500540: kdebase: automounting vfat (partialy) case sensitive due to utf8 is plain wrong and dangerous
Date: Wed, 3 Dec 2008 22:37:49 +1100
On Monday 17 November 2008 22:00:52 Heinrich Langos wrote:
> IMHO this is the "real solution" that you are looking for, but
> there is (or was?) a problem with making it the default. (See Message#48
> for detail

Hi Qt-KDE,

Work on this RC bug seems to of stalled in the last couple of weeks.

Could I ask what your proposed way forward for this bug for lenny?

Could be worth discussing on debian-release as well.

Thanks,
Mark




Message sent on to Heinrich Langos <henrik-debian-bug@prak.org>:
Bug#500540. (Wed, 03 Dec 2008 11:39:06 GMT) Full text and rfc822 format available.

Reply sent to Sune Vuorela <debian@pusling.com>:
You have taken responsibility. (Wed, 03 Dec 2008 21:33:12 GMT) Full text and rfc822 format available.

Notification sent to Heinrich Langos <henrik-debian-bug@prak.org>:
Bug acknowledged by developer. (Wed, 03 Dec 2008 21:33:12 GMT) Full text and rfc822 format available.

Message #91 received at 500540-close@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 500540-close@bugs.debian.org
Subject: Bug#500540: fixed in kdebase 4:3.5.9.dfsg.1-6
Date: Wed, 03 Dec 2008 21:17:21 +0000
Source: kdebase
Source-Version: 4:3.5.9.dfsg.1-6

We believe that the bug you reported is fixed in the latest version of
kdebase, which is due to be installed in the Debian FTP archive:

kappfinder_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kappfinder_3.5.9.dfsg.1-6_i386.deb
kate_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kate_3.5.9.dfsg.1-6_i386.deb
kcontrol_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kcontrol_3.5.9.dfsg.1-6_i386.deb
kdebase-bin-kde3_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdebase-bin-kde3_3.5.9.dfsg.1-6_i386.deb
kdebase-bin_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdebase-bin_3.5.9.dfsg.1-6_i386.deb
kdebase-data_3.5.9.dfsg.1-6_all.deb
  to pool/main/k/kdebase/kdebase-data_3.5.9.dfsg.1-6_all.deb
kdebase-dbg_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdebase-dbg_3.5.9.dfsg.1-6_i386.deb
kdebase-dev_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdebase-dev_3.5.9.dfsg.1-6_i386.deb
kdebase-doc-html_3.5.9.dfsg.1-6_all.deb
  to pool/main/k/kdebase/kdebase-doc-html_3.5.9.dfsg.1-6_all.deb
kdebase-doc_3.5.9.dfsg.1-6_all.deb
  to pool/main/k/kdebase/kdebase-doc_3.5.9.dfsg.1-6_all.deb
kdebase-kio-plugins_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdebase-kio-plugins_3.5.9.dfsg.1-6_i386.deb
kdebase_3.5.9.dfsg.1-6.diff.gz
  to pool/main/k/kdebase/kdebase_3.5.9.dfsg.1-6.diff.gz
kdebase_3.5.9.dfsg.1-6.dsc
  to pool/main/k/kdebase/kdebase_3.5.9.dfsg.1-6.dsc
kdebase_3.5.9.dfsg.1-6_all.deb
  to pool/main/k/kdebase/kdebase_3.5.9.dfsg.1-6_all.deb
kdeeject_3.5.9.dfsg.1-6_all.deb
  to pool/main/k/kdebase/kdeeject_3.5.9.dfsg.1-6_all.deb
kdepasswd_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdepasswd_3.5.9.dfsg.1-6_i386.deb
kdeprint_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdeprint_3.5.9.dfsg.1-6_i386.deb
kdesktop_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdesktop_3.5.9.dfsg.1-6_i386.deb
kdm_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kdm_3.5.9.dfsg.1-6_i386.deb
kfind_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kfind_3.5.9.dfsg.1-6_i386.deb
khelpcenter_4.0.0.really.3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/khelpcenter_4.0.0.really.3.5.9.dfsg.1-6_i386.deb
kicker_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kicker_3.5.9.dfsg.1-6_i386.deb
klipper_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/klipper_3.5.9.dfsg.1-6_i386.deb
kmenuedit_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kmenuedit_3.5.9.dfsg.1-6_i386.deb
konqueror-nsplugins_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/konqueror-nsplugins_3.5.9.dfsg.1-6_i386.deb
konqueror_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/konqueror_3.5.9.dfsg.1-6_i386.deb
konsole_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/konsole_3.5.9.dfsg.1-6_i386.deb
kpager_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kpager_3.5.9.dfsg.1-6_i386.deb
kpersonalizer_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kpersonalizer_3.5.9.dfsg.1-6_i386.deb
ksmserver_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/ksmserver_3.5.9.dfsg.1-6_i386.deb
ksplash_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/ksplash_3.5.9.dfsg.1-6_i386.deb
ksysguard_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/ksysguard_3.5.9.dfsg.1-6_i386.deb
ksysguardd_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/ksysguardd_3.5.9.dfsg.1-6_i386.deb
ktip_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/ktip_3.5.9.dfsg.1-6_i386.deb
kwin_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/kwin_3.5.9.dfsg.1-6_i386.deb
libkonq4-dev_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/libkonq4-dev_3.5.9.dfsg.1-6_i386.deb
libkonq4_3.5.9.dfsg.1-6_i386.deb
  to pool/main/k/kdebase/libkonq4_3.5.9.dfsg.1-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500540@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sune Vuorela <debian@pusling.com> (supplier of updated kdebase package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Nov 2008 19:06:54 +0100
Source: kdebase
Binary: kdebase kappfinder kate kcontrol kdebase-bin kdebase-bin-kde3 kdebase-data kdebase-dev kdebase-doc kdebase-doc-html kdebase-kio-plugins kdeeject kdepasswd kdeprint kdesktop kdm kfind khelpcenter kicker klipper kmenuedit konqueror konqueror-nsplugins konsole kpager kpersonalizer ksmserver ksplash ksysguard ksysguardd ktip kwin libkonq4 libkonq4-dev kdebase-dbg
Architecture: source all i386
Version: 4:3.5.9.dfsg.1-6
Distribution: unstable
Urgency: high
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Sune Vuorela <debian@pusling.com>
Description: 
 kappfinder - non-KDE application finder for KDE
 kate       - advanced text editor for KDE
 kcontrol   - control center for KDE
 kdebase    - base components from the official KDE release
 kdebase-bin - core binaries for the KDE base module
 kdebase-bin-kde3 - core binaries for the KDE base module
 kdebase-data - shared data files for the KDE base module
 kdebase-dbg - debugging symbols for kdebase
 kdebase-dev - development files for the KDE base module
 kdebase-doc - developer documentation for the KDE base module
 kdebase-doc-html - KDE base documentation in HTML format
 kdebase-kio-plugins - core I/O slaves for KDE
 kdeeject   - script used by KDE to eject removable media
 kdepasswd  - password changer for KDE
 kdeprint   - print system for KDE
 kdesktop   - miscellaneous binaries and files for the KDE desktop
 kdm        - X display manager for KDE
 kfind      - file-find utility for KDE
 khelpcenter - help center for KDE
 kicker     - desktop panel for KDE
 klipper    - clipboard utility for KDE
 kmenuedit  - menu editor for KDE
 konqueror  - KDE's advanced file manager, web browser and document viewer
 konqueror-nsplugins - Netscape plugin support for Konqueror
 konsole    - X terminal emulator for KDE
 kpager     - desktop pager for KDE
 kpersonalizer - installation personalizer for KDE
 ksmserver  - session manager for KDE
 ksplash    - the KDE splash screen
 ksysguard  - system guard for KDE
 ksysguardd - system guard daemon for KDE
 ktip       - useful tips for KDE
 kwin       - the KDE window manager
 libkonq4   - core libraries for Konqueror
 libkonq4-dev - development files for Konqueror's core libraries
Closes: 500540 505316
Changes: 
 kdebase (4:3.5.9.dfsg.1-6) unstable; urgency=high
 .
   * Force iocharset to iso-8859-1 when mouting fat devices. (Closes: #500540)
   * Don't make it possible to enable bootloader handling in the kdm kcm.
     (Closes: #505316)
   * Add a series file to source for patch handling with quilt. Patch system
     not switched though.
Checksums-Sha1: 
 5c979c47cfee6195e5253f9a67428f98d4501236 2601 kdebase_3.5.9.dfsg.1-6.dsc
 9dec480d5efbc64477704451960c1f4e3360b5a0 1071920 kdebase_3.5.9.dfsg.1-6.diff.gz
 441d9f0acda75e4144ee3e18995f3fb0832791b7 38376 kdebase_3.5.9.dfsg.1-6_all.deb
 d1c19e755783b426e99886a8f2846c623ae59dd1 10354112 kdebase-data_3.5.9.dfsg.1-6_all.deb
 9085f97746cd757ae54d28ab841d7be5745f6679 1295850 kdebase-doc_3.5.9.dfsg.1-6_all.deb
 be565f33601aecb42680bb96786ac659d5d1c41c 390330 kdebase-doc-html_3.5.9.dfsg.1-6_all.deb
 f761f83bd994dc665b2f0891ccbb8b1ce6ee491e 37488 kdeeject_3.5.9.dfsg.1-6_all.deb
 5a974b0aa714e32369e501e31f33bd40e5d674c3 307744 kappfinder_3.5.9.dfsg.1-6_i386.deb
 f2257cab2c868d5539434a5ae4feaa5d099af4fc 825014 kate_3.5.9.dfsg.1-6_i386.deb
 a3c1214fa9fca885a4ec705ac18037e97998e965 3113118 kcontrol_3.5.9.dfsg.1-6_i386.deb
 dad9832789259439dddb1a50bc00eb87650e54c0 780822 kdebase-bin_3.5.9.dfsg.1-6_i386.deb
 21a2765bf028147bf97f93db987294ef46793bf5 79828 kdebase-bin-kde3_3.5.9.dfsg.1-6_i386.deb
 50ba3a584e2169fbbf33f366b3c63ba80ce1b18c 79158 kdebase-dev_3.5.9.dfsg.1-6_i386.deb
 b2b7cc5820f09f4fbfebab5b40cd91f69c9ed0b0 1193346 kdebase-kio-plugins_3.5.9.dfsg.1-6_i386.deb
 79505416f773a183e28e1055afa829b4ff5b21ab 244106 kdepasswd_3.5.9.dfsg.1-6_i386.deb
 7731cc2370d7f9c1b6e99d494f77183d2dda81a2 1483484 kdeprint_3.5.9.dfsg.1-6_i386.deb
 3c3d54b3b51eb96eb8f0c744dd5c08f708ac768f 800524 kdesktop_3.5.9.dfsg.1-6_i386.deb
 79060eab898d3e5ea6d2ce49d33afce8d3027ef4 657910 kdm_3.5.9.dfsg.1-6_i386.deb
 34f3a0e304f2b5514285512ed1f8e0913b4a18ad 217166 kfind_3.5.9.dfsg.1-6_i386.deb
 daf9b44df694dd8eb47bdec4d83eeee64c5271cf 2324852 khelpcenter_4.0.0.really.3.5.9.dfsg.1-6_i386.deb
 39fb8cebdf8de3eedaf5a0a9a440a9948959731a 2136556 kicker_3.5.9.dfsg.1-6_i386.deb
 c1eca25669f12c17fe476c8329bcecc540bcd034 283460 klipper_3.5.9.dfsg.1-6_i386.deb
 29edccb26f26b98e3bd2fa72cb50875e9110a828 391252 kmenuedit_3.5.9.dfsg.1-6_i386.deb
 c963b2c463813b7b384fd4e234ffb65c65d26c5b 2097032 konqueror_3.5.9.dfsg.1-6_i386.deb
 1b3fa54b500f34852738f0ee5bd7d793c6043961 162642 konqueror-nsplugins_3.5.9.dfsg.1-6_i386.deb
 f9849c0cdc6cc3843d06eeecd322935ac9230910 755566 konsole_3.5.9.dfsg.1-6_i386.deb
 fff8ac52e7e5445814363822a2db06aaf2383a84 116882 kpager_3.5.9.dfsg.1-6_i386.deb
 6cfbfcc57fb04a0c4701b49cf3e75098ac94d6fa 491938 kpersonalizer_3.5.9.dfsg.1-6_i386.deb
 0d2a64ed56e3132ec421ce4d3719554bedc6f6cf 170306 ksmserver_3.5.9.dfsg.1-6_i386.deb
 fb56a91dfce0abfb5b8b05074396b9d691b8bc20 714714 ksplash_3.5.9.dfsg.1-6_i386.deb
 fc3b6c092f5818b17768ef5ae0b548898dab01e7 545148 ksysguard_3.5.9.dfsg.1-6_i386.deb
 27af4a46c3dcf37327858a3a2eb72ffe5260a1c2 67286 ksysguardd_3.5.9.dfsg.1-6_i386.deb
 a9b8c66c9e47da4c4345f6d1b0694adc14386877 103554 ktip_3.5.9.dfsg.1-6_i386.deb
 2f3922dc7430442f3e4e5693432278813fa56771 1100256 kwin_3.5.9.dfsg.1-6_i386.deb
 2c97d360f718384456f4c3417da2bc804c19b8e2 288702 libkonq4_3.5.9.dfsg.1-6_i386.deb
 05a3cd014c3209420351905d6c926148c2e263bb 63282 libkonq4-dev_3.5.9.dfsg.1-6_i386.deb
 8ba74590fb98c24bb844c99044fb211d67ec85d9 33934678 kdebase-dbg_3.5.9.dfsg.1-6_i386.deb
Checksums-Sha256: 
 ec09db6cb3131810f62637a3cfc9399d1501e65143d62eaa9480a72fba7eee27 2601 kdebase_3.5.9.dfsg.1-6.dsc
 dba4950f8e2a1fa2e52bd417438cca80a48fb5aeb164a69b469766c76e2c564b 1071920 kdebase_3.5.9.dfsg.1-6.diff.gz
 391a4b57a3eef907e4476e8652094048282043496cda7017123511fbe264754b 38376 kdebase_3.5.9.dfsg.1-6_all.deb
 3110721d46ee242960c8a90f92855e084f947b0e329d81eea56fcda77f1e8829 10354112 kdebase-data_3.5.9.dfsg.1-6_all.deb
 12cb47a15b829a9b8cf397171cd559b5400cfd49ee73756a9be77407f4870423 1295850 kdebase-doc_3.5.9.dfsg.1-6_all.deb
 344f74390983760320f527dd4030ef283e2b9e8e90498db0bf18186e85829bc5 390330 kdebase-doc-html_3.5.9.dfsg.1-6_all.deb
 e561f1b41d06458ef26a4450c399e8e4b8fba265e8369007c5c6a17785530c07 37488 kdeeject_3.5.9.dfsg.1-6_all.deb
 d4fbd5f230a865bd6dfe1f99dfdcee9cf4ec28af207cc44aa9f7399a265e5a46 307744 kappfinder_3.5.9.dfsg.1-6_i386.deb
 53e33cbac3baa7213b61dc00a28413b53679878aa0be8306d02e2ee2016d2b3b 825014 kate_3.5.9.dfsg.1-6_i386.deb
 aaaa878b6983b78b13f8e3d45540a41e0dbaf7de6957c1d87921840d16a594a6 3113118 kcontrol_3.5.9.dfsg.1-6_i386.deb
 b577afab4ac86c41f3787f91dee2784486f17569b4a5020f3cc8a28c3a480f2f 780822 kdebase-bin_3.5.9.dfsg.1-6_i386.deb
 e9c01160d8db7296055ee3a543273511d73e5795ffcd3a6a6ceedf46e981cea8 79828 kdebase-bin-kde3_3.5.9.dfsg.1-6_i386.deb
 6ebcefad0c98a97127aa62afeb88f48ac84c33a4054011f5eb8d89e503a813e3 79158 kdebase-dev_3.5.9.dfsg.1-6_i386.deb
 8a42736b54ddf7b21347de3e6a389bdf8e7ba2202e9f9866cc41bd9c80692d0e 1193346 kdebase-kio-plugins_3.5.9.dfsg.1-6_i386.deb
 8c752eee53187f7d1829fe9d87f6e68ce1040de6277db0703a28edd8738ca7a6 244106 kdepasswd_3.5.9.dfsg.1-6_i386.deb
 910cc0e1afea38c084ddc94079585f4f23f359950e0e54cca5b28bd87f1ca82c 1483484 kdeprint_3.5.9.dfsg.1-6_i386.deb
 8c418bec4754664aded7d417f7d32fde82aa61d1da38cd02e7d226a099689029 800524 kdesktop_3.5.9.dfsg.1-6_i386.deb
 37fff031bf5cf05728424fc38f458c6071b0e38c0781428955695d380e077c8f 657910 kdm_3.5.9.dfsg.1-6_i386.deb
 2bbddd59572412c715c181acc3d96071da5ad3c2c9843611279a99ee1ce42c69 217166 kfind_3.5.9.dfsg.1-6_i386.deb
 81a9e0cf50e9177fa85c077a44088990f428b386ccc857a2acebcdb6cb17d113 2324852 khelpcenter_4.0.0.really.3.5.9.dfsg.1-6_i386.deb
 0540a4e81c3fd1c73099df14314139428de072e5b35fdaff590808afd1900b4a 2136556 kicker_3.5.9.dfsg.1-6_i386.deb
 d35011ac879bbd4c7ba8e2aca846f0827738c37192f54fd23db52535cb3a59f0 283460 klipper_3.5.9.dfsg.1-6_i386.deb
 9c854ce78654f4f1568377c063983c2506eb5c6adb3e738a78a82962b1c96c95 391252 kmenuedit_3.5.9.dfsg.1-6_i386.deb
 e5e629c3a2d64b8162c6f5ebac775fb1bd9dc8b34460d1b58d8dd58424ac0b77 2097032 konqueror_3.5.9.dfsg.1-6_i386.deb
 bb5a1fd9406fb77062341cb6e6d5d7e2a26706eaa8683822eac980cdc89dfa18 162642 konqueror-nsplugins_3.5.9.dfsg.1-6_i386.deb
 ba40fc0d874df041f342afa1d3945822d6e878e727911b4b673d799d3c7d59ba 755566 konsole_3.5.9.dfsg.1-6_i386.deb
 a7b9b43d294201b852a803674ecea9e5b88fc3437e8192a2745235e2aa0e0fa0 116882 kpager_3.5.9.dfsg.1-6_i386.deb
 84f10daac131c71c25559d743a7780c3b6dbdc2e3177fe1a3502a2e755bd948d 491938 kpersonalizer_3.5.9.dfsg.1-6_i386.deb
 d15835fdd71eedc78818bbcb524f073fe1b2451e2fb566c9848bdc4b2ed241c3 170306 ksmserver_3.5.9.dfsg.1-6_i386.deb
 ab03761c81fbcce412015ed3c88e8100b4eba1c1dfcfc2bac4f2a9875abd87ac 714714 ksplash_3.5.9.dfsg.1-6_i386.deb
 ab5a3bd228733b76f43ae897c18ddf4eaa9e1eb94349a2f79b4a29cacf145d95 545148 ksysguard_3.5.9.dfsg.1-6_i386.deb
 86444250c6f2b0fc629913ee90d009c35e1069d46abff7f174567d84d26ddcce 67286 ksysguardd_3.5.9.dfsg.1-6_i386.deb
 011579149e97dfcb86ec801cb73b5d957e17367e01c79f5124007ea5ec67338f 103554 ktip_3.5.9.dfsg.1-6_i386.deb
 9360d893ed3d9221efe846a4ad11099eeb8a5fa9ba6d16957dfcc4059a2145bc 1100256 kwin_3.5.9.dfsg.1-6_i386.deb
 74328b3947a1b3749abb1cdebcd954bfc54321f6b84d370b75b758ddc644ea8b 288702 libkonq4_3.5.9.dfsg.1-6_i386.deb
 4984f04aa1b500df89ea5711fc35d783978c55038cd2c362b998ad0a9ffe3c08 63282 libkonq4-dev_3.5.9.dfsg.1-6_i386.deb
 0e39bd2ac2285519f35b896d0736478539aa97fe07b3012b8febd54f96a1b8f3 33934678 kdebase-dbg_3.5.9.dfsg.1-6_i386.deb
Files: 
 00e2693eadf3934eb0ae4be5e8e80d3b 2601 kde optional kdebase_3.5.9.dfsg.1-6.dsc
 45aac54abaa863cf43f3c99f52238a44 1071920 kde optional kdebase_3.5.9.dfsg.1-6.diff.gz
 ca56cad90b1f00b29b6183ec7d3e08b7 38376 kde optional kdebase_3.5.9.dfsg.1-6_all.deb
 389278f28ccc9870149413c6bc18b65b 10354112 kde optional kdebase-data_3.5.9.dfsg.1-6_all.deb
 8196b2e8fd32433d46db6eb734f8c93c 1295850 doc optional kdebase-doc_3.5.9.dfsg.1-6_all.deb
 fa88473288803ab77bb5c5506f3ca922 390330 doc optional kdebase-doc-html_3.5.9.dfsg.1-6_all.deb
 d0e4725276e9ff119f0cf5637bf65b84 37488 utils optional kdeeject_3.5.9.dfsg.1-6_all.deb
 b1cfa96c350b2578b2aaa6c34573f29d 307744 kde optional kappfinder_3.5.9.dfsg.1-6_i386.deb
 e26bc5afbe2ed81e6d79a821423283e3 825014 editors optional kate_3.5.9.dfsg.1-6_i386.deb
 3d23e2edf799bb8e51f435e1b2ed1b04 3113118 kde optional kcontrol_3.5.9.dfsg.1-6_i386.deb
 2a947a1a489701f7884802a5dfbb87af 780822 kde optional kdebase-bin_3.5.9.dfsg.1-6_i386.deb
 5aeb489b20c74bb72bbd81075cb64c25 79828 kde optional kdebase-bin-kde3_3.5.9.dfsg.1-6_i386.deb
 c1090067fc9c3a88100e03ce0b2b02f3 79158 devel optional kdebase-dev_3.5.9.dfsg.1-6_i386.deb
 39edf9654b344d89749561dd6a43d1fb 1193346 kde optional kdebase-kio-plugins_3.5.9.dfsg.1-6_i386.deb
 cb478400f7101eee42d5ad9cf50649bb 244106 utils optional kdepasswd_3.5.9.dfsg.1-6_i386.deb
 8643f8eb9cda534e290bf46228ffa477 1483484 utils optional kdeprint_3.5.9.dfsg.1-6_i386.deb
 eec1e89691c9495b29e4daf52e50a67d 800524 kde optional kdesktop_3.5.9.dfsg.1-6_i386.deb
 4b8dd6f4658da97455680ece7f697c0b 657910 kde optional kdm_3.5.9.dfsg.1-6_i386.deb
 1c2263d3112730fc41e6092b37da93d2 217166 utils optional kfind_3.5.9.dfsg.1-6_i386.deb
 9749b4f8d785160394c7f9f0d90fe288 2324852 kde optional khelpcenter_4.0.0.really.3.5.9.dfsg.1-6_i386.deb
 a31435c4a4047e365842d4db3af2dd2b 2136556 kde optional kicker_3.5.9.dfsg.1-6_i386.deb
 6900182d8523aa364fff9cbbc4b6f301 283460 kde optional klipper_3.5.9.dfsg.1-6_i386.deb
 9f540ed7baaf99209a4f9c1bb6203a5a 391252 kde optional kmenuedit_3.5.9.dfsg.1-6_i386.deb
 482ad0eaac5e57056f57b67aaedc7921 2097032 web optional konqueror_3.5.9.dfsg.1-6_i386.deb
 3478eef5412f4e424e5e6fcf488bae01 162642 utils optional konqueror-nsplugins_3.5.9.dfsg.1-6_i386.deb
 6f19bcf843c0bc4268b13d7247f6eb4b 755566 kde optional konsole_3.5.9.dfsg.1-6_i386.deb
 dffbe111287d3f62c07277a58a23143e 116882 kde optional kpager_3.5.9.dfsg.1-6_i386.deb
 7205c0dfa3674effe59b61879de4a59b 491938 kde optional kpersonalizer_3.5.9.dfsg.1-6_i386.deb
 6fcd1297b46569572c9450e538b7f919 170306 kde optional ksmserver_3.5.9.dfsg.1-6_i386.deb
 e794c1835c91e9c72193f8b1e0774384 714714 kde optional ksplash_3.5.9.dfsg.1-6_i386.deb
 9d7e15bc249745521d76a16a6ced8958 545148 utils optional ksysguard_3.5.9.dfsg.1-6_i386.deb
 de18745bd7b2dde6f8d22ec2dce405cb 67286 utils optional ksysguardd_3.5.9.dfsg.1-6_i386.deb
 5c54c225d22aea169878d67ba0518174 103554 kde optional ktip_3.5.9.dfsg.1-6_i386.deb
 acfe8547a96925cd2f5470d230b38fd7 1100256 kde optional kwin_3.5.9.dfsg.1-6_i386.deb
 80953f6541ea84be694b0d873c2bd8d5 288702 libs optional libkonq4_3.5.9.dfsg.1-6_i386.deb
 bdac520b56325ee8bf4990fcf986176c 63282 libdevel optional libkonq4-dev_3.5.9.dfsg.1-6_i386.deb
 3a09a2d282c209349c0f85b5934ef5c8 33934678 libdevel extra kdebase-dbg_3.5.9.dfsg.1-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkk2650ACgkQnMvaFgH6i0rXuQCdF7wrkVSMO7my5J3QgqSnnNK7
WEIAn2+V8Un6UOgbB1CI037nq6IqYTH5
=b+yC
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Thu, 11 Dec 2008 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 11 Dec 2008 18:54:08 GMT) Full text and rfc822 format available.

Message #96 received at 500540@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: 500540@bugs.debian.org, debian@pusling.com
Cc: debian-release@lists.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Unblock suggestion: kdebase
Date: Thu, 11 Dec 2008 10:51:30 -0800 (PST)
Howdy folks,

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500540 is an RC bug in 
kdebase that is present in Lenny but not in sid.  The upload from 2-3 
weeks ago of -6 fixes it.  I'm explicitly CC:ing the uploader of -6.

The debdiff is fairly simple, and attached.  The changelog reports that 
this fixes two bugs: the bug CC:d and the non-RC 505316.  The debdiff and 
the changelog indicate a series file added, but both make it clear that 
the series file does not change the actual patch system.

This RC bug is still in Lenny, even though -6 fixes it in sid.

It seems to me that kdebase should be unblocked, and -6 be allowed to flow 
into testing.  I'm not the maintainer or debian-release, so my word is by 
no means gospel.  I'm also CC:ing my AM so he knows what I'm up to.

If debian-release *really* would prefer a 4:3.5.9.dfsg.1-5+lenny1 that 
only fixes the RC and removes the other two changes, I can work on 
preparing it.  It doesn't seem a productive use of time but I leave that 
decision to debian-release.

-- Asheesh.

--
They spell it "da Vinci" and pronounce it "da Vinchy".  Foreigners
always spell better than they pronounce.
		-- Mark Twain




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Thu, 11 Dec 2008 19:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 11 Dec 2008 19:21:02 GMT) Full text and rfc822 format available.

Message #101 received at 500540@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 500540@bugs.debian.org, debian@pusling.com, debian-release@lists.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Re: Unblock suggestion: kdebase
Date: Thu, 11 Dec 2008 20:19:01 +0100
Asheesh Laroia wrote:
> Howdy folks,
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500540 is an RC bug in
> kdebase that is present in Lenny but not in sid.  The upload from 2-3
> weeks ago of -6 fixes it.  I'm explicitly CC:ing the uploader of -6.

unblocked

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Thu, 11 Dec 2008 19:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 11 Dec 2008 19:27:05 GMT) Full text and rfc822 format available.

Message #106 received at 500540@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: debian-qt-kde@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>, 500540@bugs.debian.org
Cc: debian-release@lists.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Re: Bug#500540: Unblock suggestion: kdebase
Date: Thu, 11 Dec 2008 21:22:32 +0200
[Message part 1 (text/plain, inline)]
Hello,

ketvirtadienis 11 Gruodis 2008, Asheesh Laroia rašė:
> If debian-release *really* would prefer a 4:3.5.9.dfsg.1-5+lenny1 that
> only fixes the RC and removes the other two changes, I can work on
> preparing it.  It doesn't seem a productive use of time but I leave that
> decision to debian-release.
kdebase is not a problem [1], b0rked jack-audio-connection-kit [2] on alpha is 
the problem. I strongly believe that 4:3.5.9.dfsg.1-6 could be unlocked as is 
if jack wasn't blocking it.

1. http://buildd.debian.org/pkg.cgi?pkg=kdebase
2. http://buildd.debian.org/pkg.cgi?pkg=jack-audio-connection-kit

-- 
Modestas Vainius <modestas@vainius.eu>

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#500540; Package kdebase. (Mon, 12 Jan 2009 20:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to ilf <ilf@zeromail.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 12 Jan 2009 20:42:24 GMT) Full text and rfc822 format available.

Message #111 received at 500540@bugs.debian.org (full text, mbox):

From: ilf <ilf@zeromail.org>
To: 500540@bugs.debian.org
Subject: Re: Bug#500540: Unblock suggestion: kdebase
Date: Mon, 12 Jan 2009 21:34:35 +0100
[Message part 1 (text/plain, inline)]
On 12-11 21:22, Modestas Vainius wrote:
> kdebase is not a problem [1], b0rked jack-audio-connection-kit [2] on alpha is 
> the problem.

I must admit, I do not know where exactly the problem is, but it sure
isn't in hal or kdebase, since I have neither installed, but too have
the problem.

Doesn't anyone with resources want to get this fixed for Lenny?

-- 
ilf						 ilf@jabber.berlin.ccc.de

ueber 70 millionen deutsche benutzen keine konsole. klick dich nicht weg!
		-- eine initiative des bundesamtes fuer tastaturbenutzung
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Feb 2009 07:28:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:08:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.